FIX::Initiator Class Referenceabstract

Base for classes which act as an initiator for establishing connections. More...

`#include <Initiator.h>`

Inheritance diagram for FIX::Initiator:
[legend]
Collaboration diagram for FIX::Initiator:
[legend]

## Public Member Functions

| Initiator (Application &, MessageStoreFactory &, const SessionSettings &) throw ( ConfigError )
| Initiator (Application &, MessageStoreFactory &, const SessionSettings &, LogFactory &) throw ( ConfigError )
virtual | ~Initiator ()
void | start () throw ( ConfigError, RuntimeError )
| Start initiator.
void | block () throw ( ConfigError, RuntimeError )
| Block on the initiator.
bool | poll (double timeout=0.0) throw ( ConfigError, RuntimeError )
| Poll the initiator.
void | stop (bool force=false)
| Stop initiator.
bool | isLoggedOn ()
| Check to see if any sessions are currently logged on.
Session * | getSession (const SessionID &sessionID, Responder &)
const std::set< SessionID > & | getSessions () const
Session * | getSession (const SessionID &sessionID) const
const Dictionary *const | getSessionSettings (const SessionID &sessionID) const
bool | has (const SessionID &id)
bool | isStopped ()
Application & | getApplication ()
MessageStoreFactory & | getMessageStoreFactory ()
Log * | getLog ()

## Protected Member Functions

void | setPending (const SessionID &)
void | setConnected (const SessionID &)
void | setDisconnected (const SessionID &)
bool | isPending (const SessionID &)
bool | isConnected (const SessionID &)
bool | isDisconnected (const SessionID &)
void | connect ()

## Protected Attributes

SessionSettings | m_settings

## Private Types

typedef std::set< SessionID > | SessionIDs
typedef std::map< SessionID, int > | SessionState
typedef std::map< SessionID, Session * > | Sessions

## Private Member Functions

void | initialize () throw ( ConfigError )
virtual void | onConfigure (const SessionSettings &) throw ( ConfigError )
| Implemented to configure acceptor.
virtual void | onInitialize (const SessionSettings &) throw ( RuntimeError )
| Implemented to initialize initiator.
virtual void | onStart ()=0
| Implemented to start connecting to targets.
virtual bool | onPoll (double timeout)=0
| Implemented to connect and poll for events.
virtual void | onStop ()=0
| Implemented to stop a running initiator.
virtual void | doConnect (const SessionID &, const Dictionary &)=0
| Implemented to connect a session to its target.

## Static Private Member Functions

static THREAD_PROC | startThread (void *p)

## Private Attributes

Sessions | m_sessions
SessionIDs | m_sessionIDs
SessionIDs | m_pending
SessionIDs | m_connected
SessionIDs | m_disconnected
SessionState | m_sessionState
thread_id | m_threadid
Application & | m_application
MessageStoreFactory & | m_messageStoreFactory
LogFactory * | m_pLogFactory
Log * | m_pLog
NullLog | m_nullLog
bool | m_firstPoll
bool | m_stop
Mutex | m_mutex

## Detailed Description

Base for classes which act as an initiator for establishing connections.

Most users will not need to implement one of these. The default SocketInitiator implementation will be used in most cases.

Definition at line 51 of file Initiator.h.

## Member Typedef Documentation

## SessionIDs

typedef std::set< SessionID > FIX::Initiator::SessionIDs

private

Definition at line 124 of file Initiator.h.

## Sessions

typedef std::map< SessionID, Session* > FIX::Initiator::Sessions

private

Definition at line 126 of file Initiator.h.

## SessionState

typedef std::map< SessionID, int > FIX::Initiator::SessionState

private

Definition at line 125 of file Initiator.h.

## Constructor & Destructor Documentation

## Initiator() [1/2]

FIX::Initiator::Initiator | ( | Application & | application,
|  | MessageStoreFactory & | messageStoreFactory,
|  | const SessionSettings & | settings
| ) |  |
throw | ( | ConfigError
| ) |  |

Definition at line 36 of file Initiator.cpp.

: m_threadid( 0 ),
m_application( application ),
m_messageStoreFactory( messageStoreFactory ),
m_settings( settings ),
m_pLogFactory( 0 ),
m_pLog( 0 ),
m_firstPoll( true ),
m_stop( true )
{ initialize(); }
FIX::Initiator::m_threadid
thread_id m_threadid
Definition Initiator.h:135
FIX::Initiator::m_pLog
Log * m_pLog
Definition Initiator.h:142
FIX::Initiator::initialize
void initialize()
Definition Initiator.cpp:63
FIX::Initiator::m_firstPoll
bool m_firstPoll
Definition Initiator.h:144
FIX::Initiator::m_pLogFactory
LogFactory * m_pLogFactory
Definition Initiator.h:141
FIX::Initiator::m_settings
SessionSettings m_settings
Definition Initiator.h:139
FIX::Initiator::m_stop
bool m_stop
Definition Initiator.h:145
FIX::Initiator::m_application
Application & m_application
Definition Initiator.h:136
FIX::Initiator::m_messageStoreFactory
MessageStoreFactory & m_messageStoreFactory
Definition Initiator.h:137

## Initiator() [2/2]

FIX::Initiator::Initiator | ( | Application & | application,
|  | MessageStoreFactory & | messageStoreFactory,
|  | const SessionSettings & | settings,
|  | LogFactory & | logFactory
| ) |  |
throw | ( | ConfigError
| ) |  |

Definition at line 49 of file Initiator.cpp.

: m_threadid( 0 ),
m_application( application ),
m_messageStoreFactory( messageStoreFactory ),
m_settings( settings ),
m_pLogFactory( &logFactory ),
m_pLog( logFactory.create() ),
m_firstPoll( true ),
m_stop( true )
{ initialize(); }

## ~Initiator()

FIX::Initiator::~Initiator | ( |  | ) |

virtual

Definition at line 88 of file Initiator.cpp.

{
Sessions::iterator i;
for ( i = m_sessions.begin(); i != m_sessions.end(); ++i )
delete i->second;
if( m_pLogFactory && m_pLog )
m_pLogFactory->destroy( m_pLog );
}
FIX::Initiator::m_sessions
Sessions m_sessions
Definition Initiator.h:128
FIX::LogFactory::destroy
virtual void destroy(Log *)=0

References FIX::LogFactory::destroy(), m_pLog, m_pLogFactory, and m_sessions.

## Member Function Documentation

## block()

void FIX::Initiator::block | ( |  | ) |
throw | ( | ConfigError,
|  | RuntimeError
| ) |  |

Block on the initiator.

Definition at line 203 of file Initiator.cpp.

{
m_stop = false;
onConfigure( m_settings );
onInitialize( m_settings );
startThread(this);
}
FIX::Initiator::startThread
static THREAD_PROC startThread(void *p)
Definition Initiator.cpp:289
FIX::Initiator::onConfigure
virtual void onConfigure(const SessionSettings &)
Implemented to configure acceptor.
Definition Initiator.h:110
FIX::Initiator::onInitialize
virtual void onInitialize(const SessionSettings &)
Implemented to initialize initiator.
Definition Initiator.h:112

References m_settings, m_stop, onConfigure(), onInitialize(), and startThread().

## connect()

void FIX::Initiator::connect | ( |  | ) |

protected

Definition at line 131 of file Initiator.cpp.

{
Locker l(m_mutex);
SessionIDs disconnected = m_disconnected;
SessionIDs::iterator i = disconnected.begin();
for ( ; i != disconnected.end(); ++i )
{
Session* pSession = Session::lookupSession( *i );
if ( pSession->isEnabled() && pSession->isSessionTime(UtcTimeStamp()) )
doConnect( *i, m_settings.get( *i ));
}
}
FIX::Initiator::m_mutex
Mutex m_mutex
Definition Initiator.h:146
FIX::Initiator::SessionIDs
std::set< SessionID > SessionIDs
Definition Initiator.h:124
FIX::Initiator::doConnect
virtual void doConnect(const SessionID &, const Dictionary &)=0
Implemented to connect a session to its target.
FIX::Initiator::m_disconnected
SessionIDs m_disconnected
Definition Initiator.h:132
FIX::Session::lookupSession
static Session * lookupSession(const SessionID &)
Definition Session.cpp:1496
FIX::SessionSettings::get
const Dictionary & get(const SessionID &) const
Get a dictionary for a session.
Definition SessionSettings.cpp:127
FIX::TYPE::UtcTimeStamp
@ UtcTimeStamp
Definition FieldTypes.h:923

References doConnect(), FIX::SessionSettings::get(), FIX::Session::isEnabled(), FIX::Session::isSessionTime(), FIX::Session::lookupSession(), m_disconnected, m_mutex, and m_settings.

Referenced by FIX::SocketInitiator::onStart(), FIX::ThreadedSocketInitiator::onStart(), and FIX::SocketInitiator::onTimeout().

## doConnect()

virtual void FIX::Initiator::doConnect | ( | const SessionID & | ,
|  | const Dictionary & |
| ) |  |

private pure virtual

Implemented to connect a session to its target.

Implemented in FIX::SocketInitiator, and FIX::ThreadedSocketInitiator.

Referenced by connect().

## getApplication()

Application & FIX::Initiator::getApplication | ( |  | ) |

inline

Definition at line 86 of file Initiator.h.

{ return m_application; }

References m_application.

## getLog()

Log * FIX::Initiator::getLog | ( |  | ) |

inline

Definition at line 90 of file Initiator.h.

{
if( m_pLog ) return m_pLog;
return &m_nullLog;
}
FIX::Initiator::m_nullLog
NullLog m_nullLog
Definition Initiator.h:143

References m_nullLog, and m_pLog.

Referenced by FIX::ThreadedSocketInitiator::doConnect(), and FIX::ThreadedSocketInitiator::socketThread().

## getMessageStoreFactory()

MessageStoreFactory & FIX::Initiator::getMessageStoreFactory | ( |  | ) |

inline

Definition at line 87 of file Initiator.h.

{ return m_messageStoreFactory; }

References m_messageStoreFactory.

## getSession() [1/2]

Session * FIX::Initiator::getSession | ( | const SessionID & | sessionID | ) | const

Definition at line 110 of file Initiator.cpp.

{
Sessions::const_iterator i = m_sessions.find( sessionID );
if( i != m_sessions.end() )
return i->second;
else
return 0;
}

References m_sessions.

## getSession() [2/2]

Session * FIX::Initiator::getSession | ( | const SessionID & | sessionID,
|  | Responder & | responder
| ) |  |

Definition at line 98 of file Initiator.cpp.

{
Sessions::iterator i = m_sessions.find( sessionID );
if ( i != m_sessions.end() )
{
i->second->setResponder( &responder );
return i->second;
}
return 0;
}

References m_sessions, and FIX::Session::setResponder().

## getSessions()

const std::set< SessionID > & FIX::Initiator::getSessions | ( |  | ) | const

inline

Definition at line 76 of file Initiator.h.

{ return m_sessionIDs; }
FIX::Initiator::m_sessionIDs
SessionIDs m_sessionIDs
Definition Initiator.h:129

References m_sessionIDs.

## getSessionSettings()

const Dictionary *const FIX::Initiator::getSessionSettings | ( | const SessionID & | sessionID | ) | const

Definition at line 119 of file Initiator.cpp.

{
try
{
return &m_settings.get( sessionID );
}
catch( ConfigError& )
{
return 0;
}
}

References FIX::SessionSettings::get(), and m_settings.

## has()

bool FIX::Initiator::has | ( | const SessionID & | id | ) |

inline

Definition at line 80 of file Initiator.h.

{ return m_sessions.find( id ) != m_sessions.end(); }

References m_sessions.

## initialize()

void FIX::Initiator::initialize | ( |  | ) |
throw | ( | ConfigError
| ) |  |

private

Definition at line 63 of file Initiator.cpp.

{
std::set < SessionID > sessions = m_settings.getSessions();
std::set < SessionID > ::iterator i;
if ( !sessions.size() )
throw ConfigError( "No sessions defined" );
SessionFactory factory( m_application, m_messageStoreFactory,
m_pLogFactory );
for ( i = sessions.begin(); i != sessions.end(); ++i )
{
if ( m_settings.get( *i ).getString( "ConnectionType" ) == "initiator" )
{
m_sessionIDs.insert( *i );
m_sessions[ *i ] = factory.create( *i, m_settings.get( *i ) );
setDisconnected( *i );
}
}
if ( !m_sessions.size() )
throw ConfigError( "No sessions defined for initiator" );
}
FIX::Dictionary::getString
std::string getString(const std::string &, bool capitalize=false) const
Get a value as a string.
Definition Dictionary.cpp:32
FIX::Initiator::setDisconnected
void setDisconnected(const SessionID &)
Definition Initiator.cpp:163
FIX::SessionSettings::getSessions
std::set< SessionID > getSessions() const
Definition SessionSettings.cpp:160

References FIX::SessionFactory::create(), FIX::SessionSettings::get(), FIX::SessionSettings::getSessions(), FIX::Dictionary::getString(), m_application, m_messageStoreFactory, m_pLogFactory, m_sessionIDs, m_sessions, m_settings, and setDisconnected().

## isConnected()

bool FIX::Initiator::isConnected | ( | const SessionID & | sessionID | ) |

protected

Definition at line 178 of file Initiator.cpp.

{
Locker l(m_mutex);
return m_connected.find( sessionID ) != m_connected.end();
}
FIX::Initiator::m_connected
SessionIDs m_connected
Definition Initiator.h:131

References m_connected, and m_mutex.

## isDisconnected()

bool FIX::Initiator::isDisconnected | ( | const SessionID & | sessionID | ) |

protected

Definition at line 184 of file Initiator.cpp.

{
Locker l(m_mutex);
return m_disconnected.find( sessionID ) != m_disconnected.end();
}

References m_disconnected, and m_mutex.

## isLoggedOn()

bool FIX::Initiator::isLoggedOn | ( |  | ) |

Check to see if any sessions are currently logged on.

Definition at line 275 of file Initiator.cpp.

{
Locker l(m_mutex);
SessionIDs connected = m_connected;
SessionIDs::iterator i = connected.begin();
for ( ; i != connected.end(); ++i )
{
if( Session::lookupSession(*i)->isLoggedOn() )
return true;
}
return false;
}
FIX::Session::isLoggedOn
bool isLoggedOn()
Definition Session.h:65

References FIX::Session::isLoggedOn(), FIX::Session::lookupSession(), m_connected, and m_mutex.

Referenced by FIX::SocketInitiator::onPoll(), FIX::SocketInitiator::onStart(), FIX::ThreadedSocketInitiator::onStop(), and stop().

## isPending()

bool FIX::Initiator::isPending | ( | const SessionID & | sessionID | ) |

protected

Definition at line 172 of file Initiator.cpp.

{
Locker l(m_mutex);
return m_pending.find( sessionID ) != m_pending.end();
}
FIX::Initiator::m_pending
SessionIDs m_pending
Definition Initiator.h:130

References m_mutex, and m_pending.

## isStopped()

bool FIX::Initiator::isStopped | ( |  | ) |

inline

Definition at line 83 of file Initiator.h.

{ return m_stop; }

References m_stop.

Referenced by FIX::SocketInitiator::onPoll(), FIX::SocketInitiator::onStart(), FIX::ThreadedSocketInitiator::onStart(), FIX::ThreadedSocketInitiator::socketThread(), and stop().

## onConfigure()

virtual void FIX::Initiator::onConfigure | ( | const SessionSettings & |  | ) |
throw | ( | ConfigError
| ) |  |

inline private virtual

Implemented to configure acceptor.

Reimplemented in FIX::SocketInitiator, and FIX::ThreadedSocketInitiator.

Definition at line 110 of file Initiator.h.

{};

Referenced by block(), and start().

## onInitialize()

virtual void FIX::Initiator::onInitialize | ( | const SessionSettings & |  | ) |
throw | ( | RuntimeError
| ) |  |

inline private virtual

Implemented to initialize initiator.

Reimplemented in FIX::SocketInitiator, and FIX::ThreadedSocketInitiator.

Definition at line 112 of file Initiator.h.

{};

Referenced by block(), and start().

## onPoll()

virtual bool FIX::Initiator::onPoll | ( | double | timeout | ) |

private pure virtual

Implemented to connect and poll for events.

Implemented in FIX::SocketInitiator, and FIX::ThreadedSocketInitiator.

## onStart()

virtual void FIX::Initiator::onStart | ( |  | ) |

private pure virtual

Implemented to start connecting to targets.

Implemented in FIX::SocketInitiator, and FIX::ThreadedSocketInitiator.

Referenced by startThread().

## onStop()

virtual void FIX::Initiator::onStop | ( |  | ) |

private pure virtual

Implemented to stop a running initiator.

Implemented in FIX::SocketInitiator, and FIX::ThreadedSocketInitiator.

Referenced by stop().

## poll()

bool FIX::Initiator::poll | ( | double | timeout = `0.0` | ) |
throw | ( | ConfigError,
|  | RuntimeError
| ) |  |

Poll the initiator.

Definition at line 212 of file Initiator.cpp.

{
if( m_firstPoll )
{
m_stop = false;
onConfigure( m_settings );
onInitialize( m_settings );
connect();
m_firstPoll = false;
}
return onPoll( timeout );
}
FIX::Initiator::onPoll
virtual bool onPoll(double timeout)=0
Implemented to connect and poll for events.
FIX::Initiator::connect
void connect()
Definition Initiator.cpp:131

## setConnected()

void FIX::Initiator::setConnected | ( | const SessionID & | sessionID | ) |

protected

Definition at line 154 of file Initiator.cpp.

{
Locker l(m_mutex);
m_pending.erase( sessionID );
m_connected.insert( sessionID );
m_disconnected.erase( sessionID );
}

References m_connected, m_disconnected, m_mutex, and m_pending.

Referenced by FIX::SocketInitiator::onConnect(), and FIX::ThreadedSocketInitiator::socketThread().

## setDisconnected()

void FIX::Initiator::setDisconnected | ( | const SessionID & | sessionID | ) |

protected

Definition at line 163 of file Initiator.cpp.

{
Locker l(m_mutex);
m_pending.erase( sessionID );
m_connected.erase( sessionID );
m_disconnected.insert( sessionID );
}

References m_connected, m_disconnected, m_mutex, and m_pending.

Referenced by FIX::ThreadedSocketInitiator::doConnect(), initialize(), FIX::SocketInitiator::onDisconnect(), FIX::ThreadedSocketInitiator::socketThread(), and stop().

## setPending()

void FIX::Initiator::setPending | ( | const SessionID & | sessionID | ) |

protected

Definition at line 145 of file Initiator.cpp.

{
Locker l(m_mutex);
m_pending.insert( sessionID );
m_connected.erase( sessionID );
m_disconnected.erase( sessionID );
}

References m_connected, m_disconnected, m_mutex, and m_pending.

Referenced by FIX::SocketInitiator::doConnect(), and FIX::ThreadedSocketInitiator::doConnect().

## start()

void FIX::Initiator::start | ( |  | ) |
throw | ( | ConfigError,
|  | RuntimeError
| ) |  |

Start initiator.

Definition at line 190 of file Initiator.cpp.

{
m_stop = false;
onConfigure( m_settings );
onInitialize( m_settings );
HttpServer::startGlobal( m_settings );
if( !thread_spawn( &startThread, this, m_threadid ) )
throw RuntimeError("Unable to spawn thread");
}
FIX::HttpServer::startGlobal
static void startGlobal(const SessionSettings &)
Definition HttpServer.cpp:37
FIX::thread_spawn
bool thread_spawn(THREAD_START_ROUTINE func, void *var, thread_id &thread)
Definition Utility.cpp:416

References m_settings, m_stop, m_threadid, onConfigure(), onInitialize(), FIX::HttpServer::startGlobal(), startThread(), and FIX::thread_spawn().

Referenced by FIX::SocketInitiator::onPoll(), FIX::SocketInitiator::onStart(), and FIX::ThreadedSocketInitiator::onStop().

## startThread()

THREAD_PROC FIX::Initiator::startThread | ( | void * | p | ) |

static private

Definition at line 289 of file Initiator.cpp.

{
Initiator * pInitiator = static_cast < Initiator* > ( p );
pInitiator->onStart();
return 0;
}
FIX::Initiator::Initiator
Initiator(Application &, MessageStoreFactory &, const SessionSettings &)
Definition Initiator.cpp:36

References onStart().

Referenced by block(), and start().

## stop()

void FIX::Initiator::stop | ( | bool | force = `false` | ) |

Stop initiator.

Definition at line 226 of file Initiator.cpp.

{
if( isStopped() ) return;
HttpServer::stopGlobal();
std::vector<Session*> enabledSessions;
SessionIDs connected;
{
Locker l(m_mutex);
connected = m_connected;
}
SessionIDs::iterator i = connected.begin();
for ( ; i != connected.end(); ++i )
{
Session* pSession = Session::lookupSession(*i);
if( pSession && pSession->isEnabled() )
{
enabledSessions.push_back( pSession );
pSession->logout();
}
}
if( !force )
{
for ( int second = 1; second <= 10 && isLoggedOn(); ++second )
process_sleep( 1 );
}
{
Locker l(m_mutex);
for ( i = connected.begin(); i != connected.end(); ++i )
setDisconnected( Session::lookupSession(*i)->getSessionID() );
}
m_stop = true;
onStop();
if( m_threadid )
thread_join( m_threadid );
m_threadid = 0;
std::vector<Session*>::iterator session = enabledSessions.begin();
for( ; session != enabledSessions.end(); ++session )
(*session)->logon();
}
FIX::HttpServer::stopGlobal
static void stopGlobal()
Definition HttpServer.cpp:53
FIX::Initiator::isLoggedOn
bool isLoggedOn()
Check to see if any sessions are currently logged on.
Definition Initiator.cpp:275
FIX::Initiator::isStopped
bool isStopped()
Definition Initiator.h:83
FIX::Initiator::onStop
virtual void onStop()=0
Implemented to stop a running initiator.
FIX::Session::getSessionID
const SessionID & getSessionID() const
Definition Session.h:75
FIX::process_sleep
void process_sleep(double s)
Definition Utility.cpp:466
FIX::thread_join
void thread_join(thread_id thread)
Definition Utility.cpp:437

References FIX::Session::getSessionID(), FIX::Session::isEnabled(), isLoggedOn(), isStopped(), FIX::Session::logout(), FIX::Session::lookupSession(), m_connected, m_mutex, m_stop, m_threadid, onStop(), FIX::process_sleep(), setDisconnected(), FIX::HttpServer::stopGlobal(), and FIX::thread_join().

## Member Data Documentation

## m_application

Application& FIX::Initiator::m_application

private

Definition at line 136 of file Initiator.h.

Referenced by getApplication(), and initialize().

## m_connected

SessionIDs FIX::Initiator::m_connected

private

Definition at line 131 of file Initiator.h.

Referenced by isConnected(), isLoggedOn(), setConnected(), setDisconnected(), setPending(), and stop().

## m_disconnected

SessionIDs FIX::Initiator::m_disconnected

private

Definition at line 132 of file Initiator.h.

Referenced by connect(), isDisconnected(), setConnected(), setDisconnected(), and setPending().

## m_firstPoll

bool FIX::Initiator::m_firstPoll

private

Definition at line 144 of file Initiator.h.

## m_messageStoreFactory

MessageStoreFactory& FIX::Initiator::m_messageStoreFactory

private

Definition at line 137 of file Initiator.h.

Referenced by getMessageStoreFactory(), and initialize().

## m_mutex

Mutex FIX::Initiator::m_mutex

private

Definition at line 146 of file Initiator.h.

Referenced by connect(), isConnected(), isDisconnected(), isLoggedOn(), isPending(), setConnected(), setDisconnected(), setPending(), and stop().

## m_nullLog

NullLog FIX::Initiator::m_nullLog

private

Definition at line 143 of file Initiator.h.

Referenced by getLog().

## m_pending

SessionIDs FIX::Initiator::m_pending

private

Definition at line 130 of file Initiator.h.

Referenced by isPending(), setConnected(), setDisconnected(), and setPending().

## m_pLog

Log* FIX::Initiator::m_pLog

private

Definition at line 142 of file Initiator.h.

Referenced by getLog(), and ~Initiator().

## m_pLogFactory

LogFactory* FIX::Initiator::m_pLogFactory

private

Definition at line 141 of file Initiator.h.

Referenced by initialize(), and ~Initiator().

## m_sessionIDs

SessionIDs FIX::Initiator::m_sessionIDs

private

Definition at line 129 of file Initiator.h.

Referenced by getSessions(), and initialize().

## m_sessions

Sessions FIX::Initiator::m_sessions

private

Definition at line 128 of file Initiator.h.

Referenced by getSession(), getSession(), has(), initialize(), and ~Initiator().

## m_sessionState

SessionState FIX::Initiator::m_sessionState

private

Definition at line 133 of file Initiator.h.

## m_settings

SessionSettings FIX::Initiator::m_settings

protected

Definition at line 139 of file Initiator.h.

Referenced by block(), connect(), getSessionSettings(), initialize(), and start().

## m_stop

bool FIX::Initiator::m_stop

private

Definition at line 145 of file Initiator.h.

Referenced by block(), isStopped(), start(), and stop().

## m_threadid

thread_id FIX::Initiator::m_threadid

private

Definition at line 135 of file Initiator.h.

Referenced by start(), and stop().

The documentation for this class was generated from the following files:

- Initiator.h
- Initiator.cpp